Gentoo Logo
Gentoo Spaceship




Note: Due to technical difficulties, the Archives are currently not up to date. GMANE provides an alternative service for most mailing lists.
c.f. bug 424647
List Archive: gentoo-dev
Navigation:
Lists: gentoo-dev: < Prev By Thread Next > < Prev By Date Next >
Headers:
To: gentoo-dev@g.o
From: Michał Górny <mgorny@g.o>
Subject: [PATCH autotools-utils 6/9] Refactor remove_libtool_files() to simplify conditions.
Date: Tue, 13 Sep 2011 16:10:30 +0200
---
 eclass/autotools-utils.eclass |   18 ++++++++++--------
 1 files changed, 10 insertions(+), 8 deletions(-)

diff --git a/eclass/autotools-utils.eclass b/eclass/autotools-utils.eclass
index 84f6cb6..48b39cb 100644
--- a/eclass/autotools-utils.eclass
+++ b/eclass/autotools-utils.eclass
@@ -162,18 +162,20 @@ remove_libtool_files() {
 		local archivefile=${f/%.la/.a}
 		[[ "${f}" != "${archivefile}" ]] || die 'regex sanity check failed'
 
-		# Keep .la files when:
-		# - they have shouldnotlink=yes - likely plugins,
-		# - respective static archive exists.
-		if [[ ${removing_all} || ( -z ${shouldnotlink} && ! -f ${archivefile} ) ]]; then
-			einfo "Removing unnecessary ${f#${D%/}}"
-			rm -f "${f}" || die
-		fi
-
 		# Remove static libs we're not supposed to link against
 		if [[ ${shouldnotlink} ]]; then
 			einfo "Removing unnecessary ${archivefile#${D%/}}"
 			rm -f "${archivefile}" || die
+			# We're never going to remove the .la file.
+			[[ ${removing_all} ]] || continue
+		fi
+
+		# Keep .la files when:
+		# - they have shouldnotlink=yes - likely plugins (handled above),
+		# - respective static archive exists.
+		if [[ ${removing_all} || ! -f ${archivefile} ]]; then
+			einfo "Removing unnecessary ${f#${D%/}}"
+			rm -f "${f}" || die
 		fi
 	done
 }
-- 
1.7.6.1



References:
[PATCH] autotools-utils.eclass: punt unnecessary .la files even w/ USE=static-libs.
-- Michał Górny
[PATCH autotools-utils 1/9] Fix handling whitespace in filenames when looking for .la files.
-- Michał Górny
Navigation:
Lists: gentoo-dev: < Prev By Thread Next > < Prev By Date Next >
Previous by thread:
[PATCH autotools-utils 9/9] Explain .la removal reasons in output.
Next by thread:
Re: [PATCH autotools-utils 1/9] Fix handling whitespace in filenames when looking for .la files.
Previous by date:
[PATCH autotools-utils 9/9] Explain .la removal reasons in output.
Next by date:
Re: [PATCH eutils] Introduce has_iuse() for IUSE checks.


Updated Jun 24, 2012

Summary: Archive of the gentoo-dev mailing list.

Donate to support our development efforts.

Copyright 2001-2013 Gentoo Foundation, Inc. Questions, Comments? Contact us.